Page MenuHomePhabricator

[Task] Spec for Lexeme Rdf mapping
Closed, ResolvedPublic

Description

In order to be able to expose our lexicographical data via RDF we need a spec for the mapping. This should be based on the specification written in T150785: [Task] write spec for technical data model for Wiktionary support.

Event Timeline

Lydia_Pintscher renamed this task from Spec out Lexeme Rdf mapping to [Task] Spec for Lexeme Rdf mapping.Mar 13 2017, 6:04 PM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added subscribers: mkroetzsch, Denny.
Tpt added a subscriber: Tpt.Apr 30 2018, 11:13 AM

I have started a draft of mapping of the Lexeme DataModel to RDF: https://www.mediawiki.org/wiki/Extension:WikibaseLexeme/RDF_mapping

I have left some comments for different possible mappings of each element of the data model. I have focused on matching when relevant the Ontolex proposal, but it's maybe not the best idea: https://www.w3.org/2016/05/ontolex/

Lydia_Pintscher closed this task as Resolved.May 20 2018, 7:25 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Going ahead and closing this. Comments have been taken into account and we seem to be good with the current version.